commit: 248d7f828a54725723435b6dae527dcf7abf870d
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 25 19:54:46 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Oct 26 13:11:34 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=248d7f82
app-containers/earthly: bump to 0.7.21
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-containers/earthly/Manifest | 2 +
app-containers/earthly/earthly-0.7.21.ebuild | 73 ++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/app-containers/earthly/Manifest b/app-containers/earthly/Manifest
index e84390093e0d..7097b713cb9b 100644
--- a/app-containers/earthly/Manifest
+++ b/app-containers/earthly/Manifest
@@ -4,3 +4,5 @@ DIST earthly-0.7.19-deps.tar.xz 152930992 BLAKE2B
436e66036a5772a8bb2f283522f064
DIST earthly-0.7.19.tar.gz 7758683 BLAKE2B
e81ca5c98bf92b69dff497202d9ec202d528422c16e435a90ef4758886f0b09ffed32e2a256e961db54aefd7549ba93d0983cddbb7cb878f747dcf4702fc1442
SHA512
b57215fd6dff2bbe4b2e559bc535746abdef6ddef9f808cce9519c6bff7578fb735923733ef2e4607fbbf00b9fcbde5a1f60cbb7098bc66b12165749d9404d84
DIST earthly-0.7.20-deps.tar.xz 152928984 BLAKE2B
f7a17986f79c5557fa92313d4405fbfd048462933bdf2a798065f443a9f8a9d60e47a78a51580eec3a779c77147a06314742221910ca855eb580194a9d072395
SHA512
59be72396b9241e6d59fc17628b97ea962e43d119587a2a92f84715105006f96f94c6f394703f4efaba07e04eeaa4fae223bab257d00275360b217b0c614920a
DIST earthly-0.7.20.tar.gz 7768141 BLAKE2B
6a00cd29ca6b6066d432342218f37ac27fcdf494dd7190b3c0ac590a0d13f01efcd5d7af9a51f39cc2b60071b25a346c6574d3b81b7c072c57db99ee303f8899
SHA512
be917a5d34dc7929616a9f708b39863b1de791e59a1b5940413a6245a9c4878b477a85dec20b47ab08e3662da5bc90096f86202a4f37c303291ce65d497a8aa9
+DIST earthly-0.7.21-deps.tar.xz 153233840 BLAKE2B
e5f2590997eb839232a84bc75c787ad86434b1992b61a64fb312e55034356c37af041d99aeb792386209c22b50488a4a023a3f96d6a71fd1618d42352a90c82a
SHA512
7ebde8158672dd63d35be2a2ac1eef4cb3ae7b48c312dca9a856676520d959467766cbcc2449b3bf899fa730283fc78c05bccf465c2fefb18226c7779267dd6e
+DIST earthly-0.7.21.tar.gz 7788611 BLAKE2B
697194102a3d0af16744b42f2489a38db588ddfcc4d9e3358f259733500a69c188e11e71f6f5e9900a36c91b84d0314a6defdea339d4882f0490f2a9a4119408
SHA512
408298019bdb5797d96edd008b8e430de2cce701c93cb2f55a0faf5a9a4865e26283d8a80b82163e8b51ef82518ec35a7530aa887d598c15027243f6008954d1
diff --git a/app-containers/earthly/earthly-0.7.21.ebuild
b/app-containers/earthly/earthly-0.7.21.ebuild
new file mode 100644
index 000000000000..f2aea31a3a87
--- /dev/null
+++ b/app-containers/earthly/earthly-0.7.21.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Git commit SHA is needed at runtime by earthly to pull and bootstrap images.
+if [[ "${PV}" == 0.7.21 ]] ; then
+ GIT_COMMIT_SHA="f4c9f47e48c3815e95fe9574e824524d34a20219"
+else
+ die 'Could not detect "GIT_COMMIT_SHA", please update the ebuild.'
+fi
+
+inherit go-module
+
+DESCRIPTION="Build automation tool that executes in containers"
+HOMEPAGE="https://earthly.dev/
+ https://github.com/earthly/earthly/"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+ https://dev.gentoo.org/~xgqt/distfiles/deps/${P}-deps.tar.xz
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ || (
+ app-containers/docker
+ app-containers/podman
+ )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+src_compile() {
+ mkdir -p bin || die
+
+ local
go_tags="dfrunmount,dfrunsecurity,dfsecrets,dfssh,dfrunnetwork,dfheredoc,forceposix"
+ local go_ldflags="
+ -X main.DefaultBuildkitdImage=docker.io/earthly/buildkitd:v${PV}
+ -X main.GitSha=${GIT_COMMIT_SHA}
+ -X main.Version=v${PV}
+ "
+ local -a go_buildargs=(
+ -tags "${go_tags}"
+ -ldflags "${go_ldflags}"
+ -o bin
+ )
+ ego build "${go_buildargs[@]}" ./cmd/...
+}
+
+src_install() {
+ exeinto /usr/bin
+ doexe bin/earthly
+ newexe bin/debugger earthly-debugger
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ if has_version "app-containers/podman" ; then
+ ewarn "Podman is supported but not recommended."
+ ewarn "If issues arise, then please try running earthly with
docker."
+ fi
+
+ if has_version "app-containers/podman[rootless]" ; then
+ ewarn "Running podman in rootless mode is not supported because"
+ ewarn "earthly/dind and earthly/buildkit require privileged
access."
+ ewarn "For more info see:
https://docs.earthly.dev/docs/guides/podman/"
+ fi
+}